/************************************************************************
 *                                                                      *
 *    Copyright (c) 1991 Wilhelm Valder, Regine Freitag, Wolfgang Dzida *
 *                        All rights reserved                           *
 *                                                                      *
 *                                                                      *
 *    Permission to copy this program or any part of this program is    *
 *    granted in case of personal, non-commercial use only. Any use     *
 *    for profit or other commercial gain without written permissions   *
 *    of the authors is prohibited.                                     *
 *                                                                      *
 *    You may freely distribute this program to friends, colleagues,    *
 *    etc.  As a courtesy we would appreciate it if you left our names  *
 *    on the code as the authors.                                       *
 *    We also, of course, disavow any liabilities                       *
 *    for any bizarre things you may choose to do with the system.      *
 *                                                                      *
 *    We would appreciate though your letting us know about any         *
 *    extensions, modifications, project suggestions, etc.              *
 *    Please mail all bugs, comments, complaints and suggestions to:    *
 *                                                                      *
 *                                                                      *
 *    GMD (German National Research Center for Computer Science)        *
 *    Institut fuer Systemtechnik (F2G2)                                *
 *    P.O. Box 1240                                                     *
 *    Schloss Birlinghoven                                              *
 *    D-5205 St. Augustin 1, West Germany                               *
 *                                                                      *
 *    email:    dzida@kmx.gmd.dbp.de                                    *
 *              freitag@gmd.de                                     *
 *                                                                      *
 ************************************************************************/
/*****************************************************************************
 * This file contains main program which calls the History Tracer
 ****************************************************************************/
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <stdio.h>
#include <signal.h>

static char SccsID[] = "@(#)main.c	1.2\t6/21/93";            /* sccs keyword */

main(argc, argv)
     int argc;
     char *argv[]; 
{
  Widget w;
  char *getenv();
  int HistoryEditorQuit();
  int quitHistory();
  int eshHandler();
  int EditHistory();

  /* create application shell 'w' as top-level widget */
  w = XtInitialize(NULL, "HT", (XrmOptionDescRec *) NULL, 0, &argc, 
		   argv);

  exInitLayout(XtDisplay(w));
  exInitMenus(XtDisplay(w));

  XSynchronize(XtDisplay(w), True); 
  XSetErrorHandler(eshHandler);
  signal(SIGHUP, HistoryEditorQuit);
  signal(SIGQUIT, HistoryEditorQuit);
  EditHistory(w, 0, 1, 12, 65);  
}

/* HistoryEditorQuit *********************************************************
 * this function is called upon receipt of a SIGHUP signal from the eshell in
 * order to terminate;
 ****************************************************************************/

HistoryEditorQuit()
{
  quitHistory(NULL);
}

eshHandler(d,e)
     Display *d;
     XErrorEvent *e;
{
  kill(getpid(), SIGQUIT);
}




